be.vlaanderen.mercurius.insurability.schemas.v1

## Class WZCMHDF001DetermineInsurabilityResponse

- java.lang.Object
- - be.vlaanderen.mercurius.insurability.schemas.v1.WZCMHDF001DetermineInsurabilityResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class WZCMHDF001DetermineInsurabilityResponse
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <sequence>
                 <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}MessageMetadataType"/>
                 <element name="Person" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}PersonType"/>
                 <element name="ResultInsurancePeriodList" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}ResultInsurancePeriodListType"/>
               </sequence>
               <element name="ErrorList" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}ErrorListType" minOccurs="0"/>
               <element name="NotificationList" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}NotificationListType" minOccurs="0"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WZCMHDF001DetermineInsurabilityResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorListType` | `getErrorList()` Gets the value of the errorList property.
    `MessageMetadataType` | `getMessageMetadata()` Gets the value of the messageMetadata property.
    `NotificationListType` | `getNotificationList()` Gets the value of the notificationList property.
    `PersonType` | `getPerson()` Gets the value of the person property.
    `ResultInsurancePeriodListType` | `getResultInsurancePeriodList()` Gets the value of the resultInsurancePeriodList property.
    `void` | `setErrorList(ErrorListType value)` Sets the value of the errorList property.
    `void` | `setMessageMetadata(MessageMetadataType value)` Sets the value of the messageMetadata property.
    `void` | `setNotificationList(NotificationListType value)` Sets the value of the notificationList property.
    `void` | `setPerson(PersonType value)` Sets the value of the person property.
    `void` | `setResultInsurancePeriodList(ResultInsurancePeriodListType value)` Sets the value of the resultInsurancePeriodList property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WZCMHDF001DetermineInsurabilityResponse

          public WZCMHDF001DetermineInsurabilityResponse()

  - ### Method Detail

    - #### getNotificationList

          public NotificationListType getNotificationList()

      Gets the value of the notificationList property.
      Returns:
        possible object is `NotificationListType`

    - #### setNotificationList

          public void setNotificationList(NotificationListType value)

      Sets the value of the notificationList property.
      Parameters:
        `value` - allowed object is `NotificationListType`

    - #### getErrorList

          public ErrorListType getErrorList()

      Gets the value of the errorList property.
      Returns:
        possible object is `ErrorListType`

    - #### setErrorList

          public void setErrorList(ErrorListType value)

      Sets the value of the errorList property.
      Parameters:
        `value` - allowed object is `ErrorListType`

    - #### getMessageMetadata

          public MessageMetadataType getMessageMetadata()

      Gets the value of the messageMetadata property.
      Returns:
        possible object is `MessageMetadataType`

    - #### setMessageMetadata

          public void setMessageMetadata(MessageMetadataType value)

      Sets the value of the messageMetadata property.
      Parameters:
        `value` - allowed object is `MessageMetadataType`

    - #### getPerson

          public PersonType getPerson()

      Gets the value of the person property.
      Returns:
        possible object is `PersonType`

    - #### setPerson

          public void setPerson(PersonType value)

      Sets the value of the person property.
      Parameters:
        `value` - allowed object is `PersonType`

    - #### getResultInsurancePeriodList

          public ResultInsurancePeriodListType getResultInsurancePeriodList()

      Gets the value of the resultInsurancePeriodList property.
      Returns:
        possible object is `ResultInsurancePeriodListType`

    - #### setResultInsurancePeriodList

          public void setResultInsurancePeriodList(ResultInsurancePeriodListType value)

      Sets the value of the resultInsurancePeriodList property.
      Parameters:
        `value` - allowed object is `ResultInsurancePeriodListType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.